path: /build/build/pexpect-dev-python-4.9.0+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/pexpect -pv -t && \
    USE="-doc -python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/pexpect
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/pexpect && luet-portage --dir /pkgdir/pexpect
    dev-python/pexpect && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:7e0ca3d70bf2774592da4c02e062570aa1a916ccded584e4aeb3adc36bde01e5
  package:
    name: pexpect
    version: 4.9.0+2
    category: dev-python
    use_flags:
    - -doc
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Python module for spawning child apps and responding to expected
      patterns
    uri:
    - https://pexpect.readthedocs.io/ https://pypi.org/project/pexpect/ https://github.com/pexpect/pexpect/
    license: MIT
    buildtimestamp: 2026-06-08 12:14:49.172672338 +0000 UTC m=+219.138261528
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: dev-python/ptyprocess[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/pexpect
      kit: geaaru-kit
      original.package.name: dev-python/pexpect
      original.package.slot: "0"
      original.package.version: 4.9.0
    treedir: /build/packages
  package_dir: /pkgdir/pexpect
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0e42ff4e8856930540b80ea60f27debda20f7be310683a0a3b1bc636b47b857f
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/pexpect/ANSI.py
- usr/lib/python3.9/site-packages/pexpect/FSM.py
- usr/lib/python3.9/site-packages/pexpect/__init__.py
- usr/lib/python3.9/site-packages/pexpect/__pycache__/ANSI.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/ANSI.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/ANSI.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/FSM.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/FSM.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/FSM.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/_async.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/_async.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/_async.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/_async_pre_await.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/_async_pre_await.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/_async_pre_await.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/_async_w_await.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/_async_w_await.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/_async_w_await.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/expect.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/expect.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/expect.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/fdpexpect.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/fdpexpect.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/fdpexpect.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/popen_spawn.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/popen_spawn.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/popen_spawn.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/pty_spawn.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/pty_spawn.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/pty_spawn.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/pxssh.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/pxssh.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/pxssh.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/replwrap.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/replwrap.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/replwrap.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/run.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/run.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/run.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/screen.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/screen.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/screen.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/socket_pexpect.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/socket_pexpect.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/socket_pexpect.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/spawnbase.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/spawnbase.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/spawnbase.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/utils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/utils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pexpect/__pycache__/utils.cpython-39.pyc
- usr/lib/python3.9/site-packages/pexpect/_async.py
- usr/lib/python3.9/site-packages/pexpect/_async_pre_await.py
- usr/lib/python3.9/site-packages/pexpect/_async_w_await.py
- usr/lib/python3.9/site-packages/pexpect/bashrc.sh
- usr/lib/python3.9/site-packages/pexpect/exceptions.py
- usr/lib/python3.9/site-packages/pexpect/expect.py
- usr/lib/python3.9/site-packages/pexpect/fdpexpect.py
- usr/lib/python3.9/site-packages/pexpect/popen_spawn.py
- usr/lib/python3.9/site-packages/pexpect/pty_spawn.py
- usr/lib/python3.9/site-packages/pexpect/pxssh.py
- usr/lib/python3.9/site-packages/pexpect/replwrap.py
- usr/lib/python3.9/site-packages/pexpect/run.py
- usr/lib/python3.9/site-packages/pexpect/screen.py
- usr/lib/python3.9/site-packages/pexpect/socket_pexpect.py
- usr/lib/python3.9/site-packages/pexpect/spawnbase.py
- usr/lib/python3.9/site-packages/pexpect/utils.py
- usr/lib/python3.9/site-packages/pexpect-4.9.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/pexpect-4.9.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/pexpect-4.9.0.dist-info/WHEEL
- usr/lib/python3.9/site-packages/pexpect-4.9.0.dist-info/licenses/LICENSE
- usr/lib/python3.9/site-packages/pexpect-4.9.0.dist-info/top_level.txt
- usr/share/doc/pexpect-4.9.0/README.rst.bz2
- var/db/pkg/dev-python/pexpect-4.9.0/BDEPEND
- var/db/pkg/dev-python/pexpect-4.9.0/BUILD_TIME
- var/db/pkg/dev-python/pexpect-4.9.0/CATEGORY
- var/db/pkg/dev-python/pexpect-4.9.0/CBUILD
- var/db/pkg/dev-python/pexpect-4.9.0/CFLAGS
- var/db/pkg/dev-python/pexpect-4.9.0/CHOST
- var/db/pkg/dev-python/pexpect-4.9.0/CONTENTS
- var/db/pkg/dev-python/pexpect-4.9.0/COUNTER
- var/db/pkg/dev-python/pexpect-4.9.0/CTARGET
- var/db/pkg/dev-python/pexpect-4.9.0/CXX
- var/db/pkg/dev-python/pexpect-4.9.0/CXXFLAGS
- var/db/pkg/dev-python/pexpect-4.9.0/DEFINED_PHASES
- var/db/pkg/dev-python/pexpect-4.9.0/DEPEND
- var/db/pkg/dev-python/pexpect-4.9.0/DESCRIPTION
- var/db/pkg/dev-python/pexpect-4.9.0/EAPI
- var/db/pkg/dev-python/pexpect-4.9.0/FEATURES
- var/db/pkg/dev-python/pexpect-4.9.0/HOMEPAGE
- var/db/pkg/dev-python/pexpect-4.9.0/INHERITED
- var/db/pkg/dev-python/pexpect-4.9.0/IUSE
- var/db/pkg/dev-python/pexpect-4.9.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/pexpect-4.9.0/KEYWORDS
- var/db/pkg/dev-python/pexpect-4.9.0/LDFLAGS
- var/db/pkg/dev-python/pexpect-4.9.0/LICENSE
- var/db/pkg/dev-python/pexpect-4.9.0/PF
- var/db/pkg/dev-python/pexpect-4.9.0/RDEPEND
- var/db/pkg/dev-python/pexpect-4.9.0/SIZE
- var/db/pkg/dev-python/pexpect-4.9.0/SLOT
- var/db/pkg/dev-python/pexpect-4.9.0/USE
- var/db/pkg/dev-python/pexpect-4.9.0/environment.bz2
- var/db/pkg/dev-python/pexpect-4.9.0/pexpect-4.9.0.ebuild
- var/db/pkg/dev-python/pexpect-4.9.0/repository
package_cacheimage: ""
runtime:
  name: pexpect
  version: 4.9.0+2
  category: dev-python
  use_flags:
  - -doc
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: ptyprocess
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Python module for spawning child apps and responding to expected patterns
  uri:
  - https://pexpect.readthedocs.io/ https://pypi.org/project/pexpect/ https://github.com/pexpect/pexpect/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: dev-python/ptyprocess[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/pexpect
    kit: geaaru-kit
    original.package.name: dev-python/pexpect
    original.package.slot: "0"
    original.package.version: 4.9.0
